/**
 * Sets the duration of an animation
 *
 *
 */
import { TypedAnimNode } from './_Base';
import { TimelineBuilder } from '../../../core/animation/TimelineBuilder';
import { NodeParamsConfig } from '../utils/params/ParamsConfig';
declare class DurationAnimParamsConfig extends NodeParamsConfig {
    /** @param duration */
    duration: import("../utils/params/ParamsConfig").ParamTemplate<import("../../poly/ParamType").ParamType.FLOAT>;
}
export declare class DurationAnimNode extends TypedAnimNode<DurationAnimParamsConfig> {
    params_config: DurationAnimParamsConfig;
    static type(): string;
    initializeNode(): void;
    cook(input_contents: TimelineBuilder[]): void;
}
export {};
